

\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage{amssymb,amsmath,amsthm}
\usepackage{hyperref}
\usepackage{imakeidx} % permette di generare l'indice. La 'i' davanti esegue da
                      % solo il comando makeindex durante la compilazione
\usepackage[utf8]{inputenc}


\newtheorem{theorem}{Theorem}
\newtheorem{lemma}[theorem]{Lemma}
\theoremstyle{definition}
\newtheorem{definition}[theorem]{Definition}

\newcommand{\R}{\mathbb R}
\newcommand{\C}{\mathbb C}
\newcommand{\T}{\mathbb T}
\newcommand{\N}{\mathbb N}
\newcommand{\G}{\mathcal G}
\newcommand{\Ha}{\mathcal H}
\newcommand{\g}{\mathfrak g}
\newcommand{\h}{\mathfrak h}
\newcommand{\X}{\mathfrak X}
\newcommand{\Z}{\mathbb Z}
\newcommand{\Q}{\mathbb Q}
\newcommand{\p}{\mathbb P}
\newcommand{\Le}{\mathcal{L}}
\newcommand{\K}{\mathcal{K}}
\newcommand{\can}{\symbol{35}}
\newcommand{\Lie}[1]{\operatorname{Lie}\left(#1\right)}
\newcommand{\End}[1]{\operatorname{End}\left(#1\right)}
\newcommand{\Mat}[2]{\operatorname{Mat}\left(#1,#2\right)}

\hypersetup{colorlinks=true, linkcolor=black, urlcolor=blue, citecolor=blue}